using System.Collections.Generic;

namespace Wizard;

public class TournamentRoundData
{
	public int RoundNo;

	public List<TournamentCellData> Cells;

	public List<TournamentWatchData> Watchs;

	public bool IsExtraRound;

	public void CollectResourcePath(ref List<string> resourceList)
	{
		foreach (TournamentCellData cell in Cells)
		{
			cell?.CollectResourcePath(ref resourceList);
		}
	}
}
